com.verisign.epp.interfaces.validate.v02

## Class EPPValidate

- java.lang.Object
- - com.verisign.epp.interfaces.validate.v02.EPPValidate

-     public class EPPValidate
      extends java.lang.Object

  `EPPValidate` is the primary client interface class used for the Validate EPP mapping. An instance of `EPPValidate` is created with an initialized `EPPSession`, and can be used for more than one request within a single thread. A set of setter methods are provided to set the attributes before a call to one of the send action methods. The responses returned from the send action methods are either instances of `EPPResponse` or instances of response classes in the `com.verisign.epp.codec.validate` package.
  See Also:
    `EPPValidateCheckResp`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPValidate(EPPSession aSession)` Constructs an `EPPValidate` given an initialized EPP session.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContact(EPPValidateContact aContact)` Add a contact to the list of contacts.
    `void` | `addExtension(EPPCodecComponent aExtension)` Adds a command extension object.
    `java.util.Vector` | `getExtensions()` Gets the command extensions.
    `EPPResponse` | `getResponse()` Gets the response associated with the last command.
    `protected void` | `resetValidate()` Resets the Validate instance to its initial state.
    `EPPValidateCheckResp` | `sendCheck()` Sends an Validate Check Command to the server. The required attributes that must be set prior to executing `sendCheck()` include: `addLabel(String)` - Add at least one domain label to check. The optional attributes can be set with the following: `setTransId` - Sets the client transaction identifier.
    `void` | `setExtensions(java.util.Vector aExtensions)` Sets the command extension objects.
    `void` | `setTransId(java.lang.String aTransId)` Sets the client transaction identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPValidate

          public EPPValidate(EPPSession aSession)

      Constructs an `EPPValidate` given an initialized EPP session.
      Parameters:
        `aSession` - Server session to use.

  - ### Method Detail

    - #### addExtension

          public void addExtension(EPPCodecComponent aExtension)

      Adds a command extension object.
      Parameters:
        `aExtension` - command extension object associated with the command

    - #### setExtensions

          public void setExtensions(java.util.Vector aExtensions)

      Sets the command extension objects.
      Parameters:
        `aExtensions` - command extension objects associated with the command

    - #### getExtensions

          public java.util.Vector getExtensions()

      Gets the command extensions.
      Returns:
        `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.

    - #### setTransId

          public void setTransId(java.lang.String aTransId)

      Sets the client transaction identifier.
      Parameters:
        `aTransId` - Client transaction identifier

    - #### addContact

          public void addContact(EPPValidateContact aContact)

      Add a contact to the list of contacts.
      Parameters:
        `aContact` - Contact to add to list of contacts to validate.

    - #### sendCheck

          public EPPValidateCheckResp sendCheck()
                                         throws EPPCommandException

      Sends an Validate Check Command to the server.
      The required attributes that must be set prior to executing `sendCheck()` include:
      - `addLabel(String)` - Add at least one domain label to check.
      The optional attributes can be set with the following:
      - `setTransId` - Sets the client transaction identifier.
      Returns:
        `EPPValidateCheckResp`.
      Throws:
        `EPPCommandException` - On error

    - #### resetValidate

          protected void resetValidate()

      Resets the Validate instance to its initial state.

    - #### getResponse

          public EPPResponse getResponse()

      Gets the response associated with the last command. This method can be used to retrieve the server error response in the catch block of EPPCommandException.
      Returns:
        Response associated with the last command